Package com.xmlmind.w2x.docx.toxhtml

## Class Product

- java.lang.Object
- - com.xmlmind.w2x.docx.toxhtml.Product

-     public final class Product
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BUILD_YEAR` |
    `static String` | `EDITION` |
    `static String` | `FULL_NAME` |
    `static boolean` | `IS_MANGLED` |
    `static String` | `LONG_NAME` |
    `static String` | `NAME` |
    `static String` | `VERSION` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getFullName()` | Returns a different product full name depending on whether `w2x-pro.jar` or `w2x-eval.jar` is found in the `CLASSPATH`.
    `static boolean` | `isMangled()` | Returns a different value depending on whether `w2x-pro.jar` or `w2x-eval.jar` is found in the `CLASSPATH`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### EDITION

          public static final String EDITION

      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### LONG_NAME

          public static final String LONG_NAME

      See Also:
        Constant Field Values

    - #### FULL_NAME

          public static final String FULL_NAME

      See Also:
        Constant Field Values

    - #### BUILD_YEAR

          public static final int BUILD_YEAR

      See Also:
        Constant Field Values

    - #### IS_MANGLED

          public static final boolean IS_MANGLED

  - ### Method Detail

    - #### getFullName

          public static String getFullName()

      Returns a different product full name depending on whether `w2x-pro.jar` or `w2x-eval.jar` is found in the `CLASSPATH`.

    - #### isMangled

          public static boolean isMangled()

      Returns a different value depending on whether `w2x-pro.jar` or `w2x-eval.jar` is found in the `CLASSPATH`.